% AUTHOR - Kambadur Ananthmurthy
function plotETH(dataset, ETH, trialDetails, xtitle, ytitle, figureDetails, normalizeCell2Max)

if normalizeCell2Max
    for cell = 1:size(ETH,1)
        ETH(cell,:) = ETH(cell,:)/max(ETH(cell,:));
    end
end

imagesc(ETH);
colorbar
z = colorbar;
if normalizeCell2Max == 1
    ylabel(z,'Normalized Summed AUC (A.U.)', ...
        'FontSize', figureDetails.fontSize-2, ...
        'FontWeight', 'bold')
else
    ylabel(z,'Summed AUC (A.U.)', ...
        'FontSize', figureDetails.fontSize-2, ...
        'FontWeight', 'bold')
end

title(['ETH | ', ...
    dataset.mouseName ' ST' num2str(dataset.sessionType) ' S' num2str(dataset.session) ' | '...
    num2str(trialDetails.frameRate) ' Hz | '...
    '3 frames/bin'] , ...
    'FontSize', figureDetails.fontSize, ...
    'FontWeight', 'bold')
xlabel(xtitle, ...
    'FontSize', figureDetails.fontSize,...
    'FontWeight', 'bold')
%set(gca,'YTick',[10, 20, 30, 40, 50, 60])
%set(gca,'YTickLabel',({10; 20; 30; 40; 50; 60}))
ylabel(ytitle, ...
    'FontSize', figureDetails.fontSize,...
    'FontWeight', 'bold')
set(gca,'FontSize', figureDetails.fontSize-2)

end