% AUTHOR - Kambadur Ananthmurthy
function plotdFbyF(dataset, Data_2D, mainTitleFragment, xtitle, ytitle, figureDetails, normalizeCell2Max)

if normalizeCell2Max
    for cell = 1:size(Data_2D,1)
        Data_2D(cell,:) = Data_2D(cell,:)/max(Data_2D(cell,:));
    end
end

imagesc(Data_2D*100);
colorbar
colormap(figureDetails.colorMap)
z = colorbar;
minVal = min(min(Data_2D))*100;
maxVal = max(max(Data_2D))*100;
caxis([minVal maxVal])
if normalizeCell2Max == 1
    ylabel(z,'Normalized dF/F (%)', ...
        'FontSize', figureDetails.fontSize, ...
        'FontWeight', 'bold')
else
    ylabel(z,'dF/F (%)', ...
        'FontSize', figureDetails.fontSize, ...
        'FontWeight', 'bold')
end

if isstring(dataset.sessionType)
    title([mainTitleFragment ' | ' dataset.mouseName ' ST' dataset.sessionType ' S' num2str(dataset.session) ' | '...
        num2str(dataset.samplingRate) ' Hz | '...
        num2str(dataset.nFrames) ' frames/trial'] , ...
        'FontSize', figureDetails.fontSize, ...
        'FontWeight', 'bold')
else
    title([mainTitleFragment ' | ' dataset.mouseName ' ST' num2str(dataset.sessionType) ' S' num2str(dataset.session) ' | '...
        num2str(dataset.samplingRate) ' Hz | '...
        num2str(dataset.nFrames) ' frames/trial'] , ...
        'FontSize', figureDetails.fontSize, ...
        'FontWeight', 'bold')
end
%set(gca,'XTick', frameRate*(1:2:17)) %NOTE: Starting 5 frames are skipped
%set(gca,'XTickLabel', ({1; 3; 5; 7; 9; 11; 13; 15; 17})) %NOTE: At 14.5 fps
%set(gca,'XTickLabel', ({1; 2; 3; 4; 5; 6; 7; 8; 9; 10; 11; 12; 13; 14; 15; 16; 17})) %NOTE: At 14.5 fps
xlabel(xtitle, ...
    'FontSize', figureDetails.fontSize,...
    'FontWeight', 'bold')
%set(gca,'YTick',[10, 20, 30, 40, 50, 60])
%set(gca,'YTickLabel',({10; 20; 30; 40; 50; 60}))
ylabel(ytitle, ...
    'FontSize', figureDetails.fontSize,...
    'FontWeight', 'bold')
set(gca,'FontSize', figureDetails.fontSize-2)